.def-margin{
    margin: 10px;
}
.loader {
    /* Styles for the loader */
    border: 8px solid #f3f3f3; /* Light gray border */
    border-top: 8px solid #3498db; /* Blue border on top */
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite; /* Rotate animation */
    margin: 0 auto; /* Center the loader */
    margin-top: 50px;
    display: none; /* Hide the loader by default */
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
.custom-alert {
    /* Styles for the custom alert */
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #f8f8f8;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    display: none; /* Hide the alert by default */
}

.alert-message {
    /* Styles for the alert message */
    display: block;
    margin-bottom: 10px;
}

.alert-close {
    /* Styles for the close button */
    position: absolute;
    top: 5px;
    right: 5px;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 16px;
    line-height: 1;
    color: #999;
}
